﻿<%@ Page Title="jOrgChart" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="About.aspx.cs" Inherits="WebApplication1.About" %>
    
<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
    <link rel="stylesheet" href="Styles/jquery.jOrgChart.css" />
    <link rel="stylesheet" href="Styles/custom.css" />
    <script type="text/javascript" src="Scripts/prettify.js"></script>
    <script type="text/javascript" src="Scripts/jquery.min.js"></script>
    <script type="text/javascript" src="Scripts/jquery-ui.min.js"></script>
    <script src="Scripts/jquery.jOrgChart.js"></script>
    <script>
        jQuery(document).ready(function () {
            $("#org").jOrgChart({
                chartElement: '#chart',
                dragAndDrop: true,
                drop: function (aim, to) {

//                    $.ajax({
//                        url: '', //请求的URL
//                        cache: false, //不从缓存中取数据
//                        data: { Id: aim.attr("id"), parentId: to.attr("id") }, //发送的参数
//                        type: 'Get', //请求类型
//                        dataType: 'json', //返回类型是JSON
//                        timeout: 20000, //超时
//                        error: function ()//出错处理
//                        {
//                            alert("程序出错!");
//                        },
//                        success: function (json)//成功处理
//                        {
//                          
//                        }
//                    });
                   alert("目标：" + aim.attr("id") + "被拖动到了:" + to.attr("id"));
                }
            });
        });
    </script>

    <script>
        jQuery(document).ready(function () {

            /* Custom jQuery for the example */
            $("#show-list").click(function (e) {
                e.preventDefault();

                $('#list-html').toggle('fast', function () {
                    if ($(this).is(':visible')) {
                        $('#show-list').text('Hide underlying list.');
                        $(".topbar").fadeTo('fast', 0.9);
                    } else {
                        $('#show-list').text('Show underlying list.');
                        $(".topbar").fadeTo('fast', 1);
                    }
                });
            });

            $('#list-html').text($('#org').html());

            $("#org").bind("DOMSubtreeModified", function () {
                $('#list-html').text('');

                $('#list-html').text($('#org').html());

                prettyPrint();
            });
        });
    </script>

</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <div>
        <%=html%>
    <div id="chart" class="orgChart">
    </div>
    </div>
</asp:Content>
