﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Text;
using System.Data;
using OrgCharDesigner;

namespace WebApplication1
{
    public partial class About : System.Web.UI.Page
    {  
        StringBuilder str = new StringBuilder();
        DataTable dt;
        protected string html;
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                html = ListBind();
            }
        }

        protected string ListBind()
        {
            try
            {
                dt = dtList();
                SysUserModel root = new SysUserModel();
                str.Append(" <ul id=\"org\" style=\"display: none\">  <li id ='1'>CEO  	");
                root.SysUserId = 1;
                root.Text = "CEO";
                root.SysUserParentId = 0;
                SetNodeChild(dt, root);
                str.AppendLine("	</li>	</ul>	");
                return str.ToString();
            }
            catch (Exception ex)
            {

                throw ex;
            }

        }

        private void SetNodeChild(DataTable dt, SysUserModel root)
        {
            DataRow[] rows = dt.Select(" SysUserParentId = '" + root.SysUserId + "'");//　选出所有子节点
            if (rows.Length > 0)
            {
                str.Append(" <ul> ");
                foreach (DataRow drChild in rows)
                {
                    str.AppendFormat(" <li id='{0}'>{1}", drChild["SysUserId"].ToString(), drChild["SysUserName"].ToString());
                    SysUserModel node = new SysUserModel();
                    node.Text = drChild["SysUserName"].ToString();
                    node.SysUserId = int.Parse(drChild["SysUserId"].ToString());
                    node.SysUserParentId = int.Parse(drChild["SysUserParentId"].ToString());
                    SetNodeChild(dt, node);
                    //root.Nodes.Add(node);

                    str.Append("</li>");
                }
                str.Append(" </ul>");

            }

        }

        private DataTable dtList()
        {
            DataTable dt = new DataTable();

            dt.Columns.Add("SysUserId");
            dt.Columns.Add("SysUserName");
            dt.Columns.Add("SysUserParentId");

            dt.Rows.Add();
            dt.Rows[0]["SysUserId"] = "1";
            dt.Rows[0]["SysUserName"] = "CEO";
            dt.Rows[0]["SysUserParentId"] = "0";

            dt.Rows.Add();
            dt.Rows[1]["SysUserId"] = "2";
            dt.Rows[1]["SysUserName"] = "总经理";
            dt.Rows[1]["SysUserParentId"] = "1";

            dt.Rows.Add();
            dt.Rows[2]["SysUserId"] = "3";
            dt.Rows[2]["SysUserName"] = "副总经理";
            dt.Rows[2]["SysUserParentId"] = "2";

            dt.Rows.Add();
            dt.Rows[3]["SysUserId"] = "4";
            dt.Rows[3]["SysUserName"] = "项目一组";
            dt.Rows[3]["SysUserParentId"] = "3";

            dt.Rows.Add();
            dt.Rows[4]["SysUserId"] = "5";
            dt.Rows[4]["SysUserName"] = "项目二组";
            dt.Rows[4]["SysUserParentId"] = "3";

            dt.Rows.Add();
            dt.Rows[5]["SysUserId"] = "6";
            dt.Rows[5]["SysUserName"] = "运营总经理";
            dt.Rows[5]["SysUserParentId"] = "1";

            dt.Rows.Add();
            dt.Rows[6]["SysUserId"] = "7";
            dt.Rows[6]["SysUserName"] = "运营副总经理";
            dt.Rows[6]["SysUserParentId"] = "6";

            dt.Rows.Add();
            dt.Rows[7]["SysUserId"] = "8";
            dt.Rows[7]["SysUserName"] = "运营一组";
            dt.Rows[7]["SysUserParentId"] = "7";

            dt.Rows.Add();
            dt.Rows[8]["SysUserId"] = "9";
            dt.Rows[8]["SysUserName"] = "运营二组";
            dt.Rows[8]["SysUserParentId"] = "7";

            return dt;
        }
    }


   
}
